using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 作业任务关联风险库
    /// </summary>
    [Description("作业任务关联风险库")]
    public class T_HM_OPERATION_LINK_EVALUATE_RISK : MesEntityBase
    {
        /// <summary>
        /// 作业任务ID
        /// </summary>
        [Description("作业任务ID")]
        [DataFieldForeignKey("Nav_OperationLink", "Nav_OperationLinkEvaluateRisk")]

        public Guid OPERATION_LINK_ID { get; set; }

        /// <summary>
        /// 导航属性：作业任务
        /// </summary>
        [Description("导航属性：作业任务")]
        public T_HM_OPERATION_LINK Nav_OperationLink { get; set; }

        /// <summary>
        /// 风险库ID
        /// </summary>
        [Description("风险库")]
        [DataFieldForeignKey("Nav_EvaluateRisk")]
        public Guid? EVALUATE_RISK_ID { get; set; }

        /// <summary>
        /// 导航属性：风险库
        /// </summary>
        [Description("导航属性：风险库")]
        public virtual T_HM_EVALUATE_RISK Nav_EvaluateRisk { get; set; }

    }
}
